Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# ParseCache Class Reference
[Parsers]

## Detailed Description

Internal parser's cache storage.

Each object instance stores parse information about single level of Scheme objects. The object always takes more, than a single line, because single-line scheme match doesn't need to be cached.

## Public Member Functions
ParseCache * | searchLine (int ln, ParseCache **cache)
| Searched a cache position for the specified line number.
## Data Fields
int | sline
| Start and end lines of this scheme match.
int | eline
SchemeImpl * | scheme
| Scheme, matched for this cache entry.
const SchemeNode * | clender
| Particular parent block object, caused this scheme to be instantiated.
VirtualEntryVector ** | vcache
| Scheme virtualization cache entry.
SMatches | matchstart
| RE Match object for start RE of the enwrapped <block> object.
SString * | backLine
| Copy of the line with parent's start RE.
ParseCache * | children
| Tree structure references in parse cache.
ParseCache * | next
ParseCache * | parent

## Member Function Documentation

ParseCache * ParseCache::searchLine | ( | int | ln,
|  | ParseCache ** | cache
| ) |

  | Searched a cache position for the specified line number. Parameters:
  | ln | Line number to search for
  | cache | Cache entry, filled with last child cache entry.
Returns: Cache entry, assigned to the specified line number

Colorer-take5 Library. Copyright © 1999-2006 Igor Russkih.
Generated at Fri Nov 24 17:13:13 2006 by doxygen 1.4.6.